# $Revision: 1.39 $, $Date: 2008/07/27 22:34:27 $
#
# Conditional build:
%bcond_without	tests # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	MMagic
Summary:	A Perl module that guesses file types based on their contents
Summary(cs.UTF-8):	Modul pro Perl na zjišťování typu souboru podle jeho obsahu
Summary(da.UTF-8):	En Perl-modul som gissar filtyper utgående fra deras indhold
Summary(de.UTF-8):	Ein Perl Modul, das eine Datei an ihrem Inhalt erkennt
Summary(es.UTF-8):	Módulo Perl que conjetura tipos de ficheros basados en su contenido
Summary(fr.UTF-8):	Un module Perl qui devine les types de fichier en fonction de leur contenu
Summary(it.UTF-8):	Modulo Perl per individuare i tipi di file in base al contenuto
Summary(ja.UTF-8):	ファイルの内容に基づいてファイルタイプを推測する Perl モジュール
Summary(ko.UTF-8):	Perl 모줄은 파일의 내용에 기초해서 파일 형태를 추축합니다
Summary(pl.UTF-8):	Moduł Perla odgadujący typ pliku na podstawie jego zawartości
Summary(pt.UTF-8):	Um módulo de Perl que adivinha o tipo dos ficheiros a partir do conteúdo
Summary(ru.UTF-8):	Модуль для Perl, который определяет тип файла по его содержимому
Summary(sv.UTF-8):	En Perl-modul som gissar filtyper utgående från deras innehåll
Summary(zh_CN.UTF-8):	一个根灸谌猜测文件类型的 Perl 模块。
Name:		perl-File-MMagic
Version:	1.27
Release:	2
License:	BSD-like/Apache
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4ffb13b6587888e6e455c22988abce5e
URL:		http://search.cpan.org/dist/File-MMagic/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The perl-File-MMagic package provides a Perl module for guessing a
file type from the contents of the file, similar to how the file(1)
command works.

%description -l cs.UTF-8
Balíček obsahuje modul pro Perl, který umožňuje zjišťovat typ souboru
podle jeho obsahu. Jeho činnost je podobná programu file(1).

%description -l da.UTF-8
Pakken perl-File-MMagic tillhandahåller en Perl-modul for at gissa
filtypen fra indholdet i filen, lignende hvordan kommandoen file(1)
fungerar.

%description -l de.UTF-8
Das Paket perl-File-MMagic liefert ein Perl-Modul zum Herausfinden
eines Dateityps an Hand des Inhalts der Datei, ähnlich wie die file(1)
arbeitet.

%description -l es.UTF-8
El conjunto de perl-File-MMagic proporciona a un módulo del Perl para
adivinar un tipo de fichero por el contenido del fichero, similar a
como el comando de file(1) funciona.

%description -l fr.UTF-8
Le paquetage Perl-File-MMagic fournit un module Perl permettant de
deviner le type d'un fichier à partir de son contenu, semblable à la
façon dont fonctionne la commande du file(1).

%description -l it.UTF-8
Il pacchetto perl-File-MMagic fornisce un modulo Perl per individuare
un tipo di file dal suo contenuto, in modo simile al comando file(1).

%description -l ja.UTF-8
perl-File-MMagic パッケージは、ファイルの内容からファイルのタイプを推
測するための Perl モジュールを提供し、file(1) コマンドと同様の役割を
果たします。

%description -l pl.UTF-8
Moduł ten rozpoznaje typ pliku na podstawie jego zawartości podobnie
jak polecenie file(1).

%description -l pt.UTF-8
O pacote perl-File-MMagic oferece um módulo de Perl para adivinhar o
tipo dum ficheiro a partir do seu conteúdo, de maneira semelhante à
que o comando file(1) funciona.

%description -l ru.UTF-8
Пакет perl-File-MMagic содержит модуль для Perl, которые пытается
определить тип файла, по содержимому файла, подобно тому как работает
команда file(1).

%description -l sv.UTF-8
Paketet perl-File-MMagic tillhandahåller en Perl-modul för att gissa
filtypen från innehållet i filen, liknande hur kommandot file(1)
fungerar.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.en ChangeLog
%{perl_vendorlib}/File/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-MMagic.spec,v $
Revision 1.39  2008/07/27 22:34:27  arekm
- release 2

Revision 1.38  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.37  2007/02/12 00:49:32  baggins
- converted to UTF-8

Revision 1.36  2006/12/22 09:01:24  qboosh
- generic URL

Revision 1.35  2006/05/24 07:03:12  blaass
- up to 1.27

Revision 1.34  2006/02/26 21:51:23  agaran
- updated to 1.26 rel 1

Revision 1.33  2004/11/03 22:30:21  paladine
- formatting

Revision 1.32  2004/10/24 14:51:21  paladine
- perla->Perla

Revision 1.31  2004/06/05 18:10:39  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.30  2004/05/06 18:01:28  ankry
- fixed perl-devel BR

Revision 1.29  2004/04/25 06:25:07  ankry
- cosmetics: unification

Revision 1.28  2004/04/20 13:32:17  ankry
- license fixes / unification

Revision 1.27  2004/04/13 18:48:10  adamg
- new style bconds

Revision 1.26  2004/03/28 15:40:59  adamg
- updated to 1.22

Revision 1.25  2003/12/23 08:32:09  misi3k
- updated to 1.21

Revision 1.24  2003/09/15 11:42:07  adamg
- updated to 1.20

Revision 1.23  2003/09/09 10:24:35  ankry
- spaces -> tab

Revision 1.22  2003/08/18 08:08:46  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.21  2003/06/11 22:34:20  misi3k
- updated to 1.19

Revision 1.20  2003/05/28 13:00:38  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:24:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/03/13 00:02:36  ankry
- merge from RA-branch: updated to 1.17

Revision 1.17  2003/03/01 19:09:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.16  2003/02/25 00:39:22  radek
- use the __perl macro

Revision 1.15  2003/02/18 15:32:19  ankry
- massive attack: change CPAN URLs

Revision 1.14  2002/09/26 16:24:30  ankry
- added tests on bcond
- added man page to %%files
- version 1.16, release 1

Revision 1.13  2002/07/15 15:05:23  ankry
- merged translations from RH
- new %%doc
- cleaning
- release 2

Revision 1.12  2002/07/10 08:47:14  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.11  2002/05/15 17:14:33  kloczek
- merge translations from TurboLinux.

Revision 1.10  2002/05/15 12:50:39  areq
- 1.15, STBR

Revision 1.9  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.8  2002/02/25 10:31:20  depesz
cleanup; revision++

Revision 1.7  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/13 14:13:56  depesz
automatic: Source location unified, Relase Up

Revision 1.5  2002/02/10 15:26:04  depesz
adapterized

Revision 1.4  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2002/01/11 11:17:14  kloczek
- reelase 2.

Revision 1.2  2002/01/08 09:21:01  qboosh
- typo

Revision 1.1  2002/01/05 23:11:34  areq
- Init PLD spec, STBR
